import request from '@/utils/request'

// 查询售后记录列表
export function listLiveAfteraSales(query) {
  return request({
    url: '/live/liveAfteraSales/list',
    method: 'get',
    params: query
  })
}

// 查询售后记录详细
export function getLiveAfteraSales(id) {
  return request({
    url: '/live/liveAfteraSales/' + id,
    method: 'get'
  })
}

// 新增售后记录
export function addLiveAfteraSales(data) {
  return request({
    url: '/live/liveAfteraSales',
    method: 'post',
    data: data
  })
}

// 修改售后记录
export function updateLiveAfteraSales(data) {
  return request({
    url: '/live/liveAfteraSales',
    method: 'put',
    data: data
  })
}

// 删除售后记录
export function delLiveAfteraSales(id) {
  return request({
    url: '/live/liveAfteraSales/' + id,
    method: 'delete'
  })
}

// 导出售后记录
export function exportLiveAfteraSales(query) {
  return request({
    url: '/live/liveAfteraSales/export',
    method: 'get',
    params: query
  })
}